### File

`packages/components/eui-avatar/avatar-image/avatar-image.component.ts`

### Description

Component representing an avatar image. Displays an image for an avatar with fallback to a default image when none is provided. Uses the application's configured assets base URL for the default image path.

Example :

    <eui-avatar>
       <eui-avatar-image imageUrl="assets/images/profile-avatar.png"></eui-avatar-image>
    </eui-avatar>

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
host | `{ }`
selector | `eui-avatar-image`
imports | `EUI_ICON`
templateUrl | `./avatar-image.component.html`
styleUrl | `./avatar-image.scss`

### Index

###### Properties
Public imageUrlGenerated
###### Inputs
imageUrl
###### Accessors
cssClasses

### Inputs

imageUrl
Type : `any`
URL of the image to be displayed in the avatar. If not provided, a default image will be used.

### Properties

Public imageUrlGenerated
Type : `string`
Default value : `'assets'`
The final image URL to be used in the template. This will be either the provided imageUrl or a default image URL.

### Accessors

cssClasses
get `cssClasses()`
CSS class applied to the host element Returns : `string`

# results matching ""

# No results matching ""